---
title: Lightning talks
weight: 6
---

The lightning talks are 10-minute talks by different CNCF projects.

## Building containers at scale using buildpacks

A Project lightning talk by Heroku and the CNCF buildpacks.

### How and why buildpacks?

* What: A simple way to build reproducible container images
* Why: Scale, Reuse, Rebase: Buildpacks are structured as layers
  * Dependencies, app builds and the runtime are seperated -> Easy update
* How: Use the Pack CLI `pack build <image>` `docker run <image>`

## Konveyor

A Platform for migration of legacy apps to cloud native platforms.

* Parts: Hub, Analysis (with language server), assessment
* Roadmap: Multi language support, GenAI, Asset Generation (e.g. Kube Deployments)

## Argo's Community Driven Development

Pretty much a short introduction to Argo Project

* Project Parts: Workflows (CI), Events, CD, Rollouts
* NPS: Net Promoter Score (How likely are you to recommend this) -> Everyone loves Argo (based on their survey)
* Rollouts: Can be based with Prometheus metrics

## Flux

* Components: Helm, Kustomize, Terraform, ...
* Flagger Now supports gateway API, Prometheus, Datadog and more
* New Releases

## A quick look at the TAG App-Delivery

* Mission: Everything related to cloud-native application delivery
* Bi-Weekly Meetings
* Subgroup: Platforms
