---
title: Unleashing the Power of Serverless on Kubernetes with Knative, Crossplane, Dapr, KEDA, and Friends
weight: 9
---

> When I say serverless I don't mean lambda - I mean serverless
> That is thousands of lines of YAML - but I don't want to depress you
> It will be eventually done
> Imagine this error is not happening
> Just imagine how I did this last night

## Goal

* Take my source code and run it, scale it - just don't ask me

## Baseline

* Use Kubernetes for platform
* Use kNative for autoscaling
* Use Kaniko/Shipwright for building
* Use Dupr for inter-service Communication

## Open function

> The glue between different tools to achieve serverless

* CRD that describes:
  * Build this image and push it to the registry
  * Use this builder to build my project
  * This in my Repo
  * My App listens on this port
  * Annotations

## Dependencies

* Open Questions
  * Where are the serverless servers -> Cluster, dependencies, secrets
  * How do I create DBs, etc.
* Resulting needs
  * CLUSTERaaS (using crossplane - in this case using AWS)
  * DBaaS (using crossplane - again using pg on AWS)
  * APPaaS
