---
title: Opening Keynote
weight: 1
tags:
  - keynote
  - opening
---

The opening keynote started - as is the tradition with keynotes - with a "motivational" opening video.
The keynote itself was presented by the CEO of the CNCF.

## The numbers

* Over 12000 attendees
* 10 Years of Kubernetes
* 60% of large organizations expect rapid cost increases due to AI/ML (FinOps Survey)

## The highlights

* Everyone uses cloud native
* AI uses Kubernetes b/c the UX is way better than classic tools
  * Especially when transferring from dev to prod
  * We need standardization
* Open source is cool

## Live demo

* KIND cluster on desktop
* Prototype Stack (develop on client)
  * Kubernetes with the LLM
  * Host with LLAVA (image describe model), moondream and OLLAMA (the model manager/registry()
* Prod Stack (All in kube)
  * Kubernetes with LLM, LLVA, OLLAMA, moondream
* Available Models: LLAVA, mistral bokllava (LLAVA*mistral)
* Host takes picture, AI describes what is pictures (in our case the conference audience)
